import type { PolygonModuleConfigOptions } from './PolygonModuleConfig';
import { type DependencyManager, type Module } from '@credo-ts/core';
import { PolygonApi } from './PolygonApi';
import { PolygonModuleConfig } from './PolygonModuleConfig';
export declare class PolygonModule implements Module {
    readonly config: PolygonModuleConfig;
    readonly api: typeof PolygonApi;
    constructor(options: PolygonModuleConfigOptions);
    register(dependencyManager: DependencyManager): void;
}
