import type { DidCreateResult, DidDocument, Key } from '@credo-ts/core';
export declare const polygonDidRegex: RegExp;
export declare const isValidPolygonDid: (did: string) => boolean;
export declare function buildDid(method: string, network: string, publicKey: string): string;
export declare function failedResult(reason: string): DidCreateResult;
export declare function getSecp256k1DidDoc(did: string, key: Key, serviceEndpoint?: string): DidDocument;
export declare function validateSpecCompliantPayload(didDocument: DidDocument): string | null;
