/**
 * PolygonModuleConfigOptions defines the interface for the options of the PolygonModuleConfig class.
 */
export interface PolygonModuleConfigOptions {
    rpcUrl?: string;
    didContractAddress?: string;
    fileServerToken?: string;
    schemaManagerContractAddress?: string;
    serverUrl?: string;
}
export declare class PolygonModuleConfig {
    readonly rpcUrl: string | undefined;
    readonly didContractAddress: string | undefined;
    readonly fileServerToken: string | undefined;
    readonly schemaManagerContractAddress: string | undefined;
    readonly serverUrl: string | undefined;
    constructor({ didContractAddress, fileServerToken, rpcUrl, schemaManagerContractAddress, serverUrl, }: PolygonModuleConfigOptions);
}
